Skip to main content
GET

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

markets
string[]

Comma separated list of markets. By default all markets are returned.

exchange
string

Unique name of an exchange.

type
enum<string>

Return markets of the specified instrument type.

Available options:
spot,
future,
option,
event_contract
base
string

Base asset of markets.

quote
string

Quote asset of markets.

asset
string

Any asset of markets.

symbol
string

Symbol of derivative markets, full instrument name.

asset_class
enum<string>

Return markets with exposure to the specified underlying asset class. Asset class of the market.

Available options:
digital,
equity,
fixed_income,
event
source_type
enum<string>

Return markets whose prices have the specified provenance. Source type of the exchange.

Available options:
exchange,
platform,
composite,
evaluated
cusip
string

Return markets with the specified CUSIP. Only one of cusip, figi, or isin may be supplied in a request.

figi
string

Return markets with the specified FIGI. Only one of cusip, figi, or isin may be supplied in a request.

isin
string

Return markets with the specified ISIN. Only one of cusip, figi, or isin may be supplied in a request.

include
string

Comma-separated list of namespaces to include in response. Currently, the only supported value is talos.

include_expired
boolean

Whether to include markets with a known past expiration. Only supported when the request selects prediction markets (type=event_contract, asset_class=event, or a prediction market exchange alone) without an explicit markets list. Defaults to false.

page_size
integer<int32>
default:100

Number of items per single page of results.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Required range: 1 <= x <= 10000
paging_from
enum<string>
default:start

Where does the first page start, at the start of the interval or at the end.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Available options:
start,
end
next_page_token
string

Token for receiving the results from the next page of a query.
Should not be used directly. To iterate through pages just use next_page_url response field.

format
string
default:json

Format of the response. Supported values are json, json_stream.

pretty
boolean
default:false

Human-readable formatting of JSON responses.

Response

List of markets metadata.

List of markets.

data
object[]
required
next_page_token
string

Token of the next page results for a given request.

next_page_url
string

URL of the next page results for a given request.